;;; lang-js.el --- Configuración para el lenguaje Javascript 	-*- lexical-binding: t -*-

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;; Archivo de configuración para el lenguaje Javascript

;;; Code:

(use-package js
  :defer t
  :ensure nil
  :mode
  ("\\.js$" . js-mode)
  :init
  (add-to-list 'auto-mode-alist '("\\.tsx\\'" . tsx-ts-mode))
  (add-to-list 'auto-mode-alist '("\\.ts\\'"  . typescript-ts-mode))
  :hook
  ((js-mode . eglot-ensure)
   (tsx-ts-mode . eglot-ensure)
   (typescript-ts-mode . eglot-ensure))
  :config
  (setq js-indent-level 2))

;; json-mode
(use-package json-mode
  :defer t
  :ensure t
  :mode
  ("\\.json$" . json-mode)
  :config
  (setq js-indent-level 2))


(provide 'lang-js)
;;; lang-js.el ends here
